#ifndef GUARD_2B56918289975E8AA8711D6E080ED4B9
#define GUARD_2B56918289975E8AA8711D6E080ED4B9

#include "shader.h"

struct sw_renderer;

struct sw_renderer2d {
	struct sw_shaderprogram shader;
	struct sw_renderer *renderer;
};

struct sw_renderer2d *sw_renderer2d_create();

/* Api needed:
  - clear screen
  - set color
  - set texture (alternatively none)
  - set repeat
  - blend modes per draw call maybe?
  - draw quad
  - draw "sprite" (quad of same size as texture)
  - draw line
  - transform matrix stack
 */

#endif /* GUARD_2B56918289975E8AA8711D6E080ED4B9 */
