#ifndef GUARD_F247452E0BF1EC9CD9131C2A6FD281CA
#define GUARD_F247452E0BF1EC9CD9131C2A6FD281CA

#include "framebuffer.h"
#include "renderer.h"
#include "types.h"
#include "vec2i.h"

#define SW_WINDOW_TRANS 0x01

struct GLFWwindow;

struct sw_window {
	struct sw_vec2i game_size;
	struct sw_vec2i window_size;
	i32 scaler;

	struct GLFWwindow *_window;
	struct sw_framebuffer *_scaler_fb;

	struct sw_renderer **_renderers;
	u32 _renderer_count;
};

struct sw_window *
sw_window_create(struct sw_vec2i size, char *title, u32 flags);

void sw_window_run(struct sw_window *window);
void sw_window_add_renderer(
    struct sw_window *window, struct sw_renderer *renderer, sw_render_cb cb
);

#endif /* GUARD_F247452E0BF1EC9CD9131C2A6FD281CA */
